import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MonitorHistory } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:46
 */
interface MonitorHistoryCU extends ConditionUtil<MonitorHistoryCU> {
    ID: FieldUtil<MonitorHistoryCU>;
    TEMPLATE_ID: FieldUtil<MonitorHistoryCU>;
    SETTING_ID: FieldUtil<MonitorHistoryCU>;
    ACTUAL_ALERT_VALUE: FieldUtil<MonitorHistoryCU>;
    ACTUAL_ALERT_VALUE_UNIT: FieldUtil<MonitorHistoryCU>;
    ALERT_TIME: FieldUtil<MonitorHistoryCU>;
    ALARM_LEVEL: FieldUtil<MonitorHistoryCU>;
    NOTIFIED: FieldUtil<MonitorHistoryCU>;
    CREATE_TIME: FieldUtil<MonitorHistoryCU>;
    UPDATE_TIME: FieldUtil<MonitorHistoryCU>;
    MS_TYPE: FieldUtil<MonitorHistoryCU>;
}
declare class MonitorHistoryMU extends TableUtilImpl<MonitorHistoryCU, MonitorHistory> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MonitorHistoryCU;
    static get ID(): FieldUtil<MonitorHistoryCU>;
    static get TEMPLATE_ID(): FieldUtil<MonitorHistoryCU>;
    static get SETTING_ID(): FieldUtil<MonitorHistoryCU>;
    static get ACTUAL_ALERT_VALUE(): FieldUtil<MonitorHistoryCU>;
    static get ACTUAL_ALERT_VALUE_UNIT(): FieldUtil<MonitorHistoryCU>;
    static get ALERT_TIME(): FieldUtil<MonitorHistoryCU>;
    static get ALARM_LEVEL(): FieldUtil<MonitorHistoryCU>;
    static get NOTIFIED(): FieldUtil<MonitorHistoryCU>;
    static get CREATE_TIME(): FieldUtil<MonitorHistoryCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorHistoryCU>;
    static get MS_TYPE(): FieldUtil<MonitorHistoryCU>;
    get ID(): FieldUtil<MonitorHistoryCU>;
    get TEMPLATE_ID(): FieldUtil<MonitorHistoryCU>;
    get SETTING_ID(): FieldUtil<MonitorHistoryCU>;
    get ACTUAL_ALERT_VALUE(): FieldUtil<MonitorHistoryCU>;
    get ACTUAL_ALERT_VALUE_UNIT(): FieldUtil<MonitorHistoryCU>;
    get ALERT_TIME(): FieldUtil<MonitorHistoryCU>;
    get ALARM_LEVEL(): FieldUtil<MonitorHistoryCU>;
    get NOTIFIED(): FieldUtil<MonitorHistoryCU>;
    get CREATE_TIME(): FieldUtil<MonitorHistoryCU>;
    get UPDATE_TIME(): FieldUtil<MonitorHistoryCU>;
    get MS_TYPE(): FieldUtil<MonitorHistoryCU>;
}
export { MonitorHistoryMU, MonitorHistoryCU };
